UbixOS V2 2.0

Data Structures | Macros | Enumerations | Variables
etharp.h File Reference
`#include "net/arch.h"`
`#include "net/prot/ethernet.h"`
`#include "net/ip4_addr.h"`
Include dependency graph for etharp.h:

Go to the source code of this file.

## Data Structures
struct | etharp_hdr

## Macros
#define | ETHARP_HWADDR_LEN ETH_HWADDR_LEN
#define | SIZEOF_ETHARP_HDR 28

## Enumerations
enum | etharp_hwtype { HWTYPE_ETHERNET = 1 }
enum | etharp_opcode { ARP_REQUEST = 1, ARP_REPLY = 2 }

## Variables
PACK_STRUCT_BEGIN struct etharp_hdr | PACK_STRUCT_STRUCT

## Detailed Description

ARP protocol definitions

Definition in file etharp.h.

## Macro Definition Documentation

## ◆ ETHARP_HWADDR_LEN

#define ETHARP_HWADDR_LEN ETH_HWADDR_LEN

Definition at line 49 of file etharp.h.

## ◆ SIZEOF_ETHARP_HDR

#define SIZEOF_ETHARP_HDR 28

Definition at line 73 of file etharp.h.

## Enumeration Type Documentation

## ◆ etharp_hwtype

enum etharp_hwtype

Enumerator
HWTYPE_ETHERNET |

Definition at line 76 of file etharp.h.

## ◆ etharp_opcode

enum etharp_opcode

Enumerator
ARP_REQUEST |
ARP_REPLY |

Definition at line 82 of file etharp.h.

## Variable Documentation

## ◆ PACK_STRUCT_STRUCT

PACK_STRUCT_BEGIN struct etharp_hdr PACK_STRUCT_STRUCT